groovy.util

## Class ObservableSet.ObservableIterator<E>

- java.lang.Object
- - groovy.util.ObservableSet.ObservableIterator<E>

- All Implemented Interfaces:
    java.util.Iterator<E>
  Enclosing class:
    ObservableSet<E>

      protected class ObservableSet.ObservableIterator<E>
      extends java.lang.Object
      implements java.util.Iterator<E>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableIterator(java.util.Iterator<E> iterDelegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<E>` | `getDelegate()`
    `boolean` | `hasNext()`
    `E` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### ObservableIterator

          public ObservableIterator(java.util.Iterator<E> iterDelegate)

  - ### Method Detail

    - #### getDelegate

          public java.util.Iterator<E> getDelegate()

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `java.util.Iterator<E>`

    - #### next

          public E next()

      Specified by:
        `next` in interface `java.util.Iterator<E>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `java.util.Iterator<E>`